Skip to main content
POST
/
v3
/
alert-rules
Creates Alert Rules
curl --request POST \
  --url https://api.example.com/v3/alert-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "metric_id": "<string>",
  "compare_bin_delta": 123,
  "evaluation_delay": 123,
  "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "feature_names": [
    "<string>"
  ],
  "category": "<string>",
  "baseline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_threshold_params": {
    "warning_multiplier": 123,
    "critical_multiplier": 123
  },
  "warning_threshold": 123,
  "critical_threshold": 123
}
'
import requests

url = "https://api.example.com/v3/alert-rules"

payload = {
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"metric_id": "<string>",
"compare_bin_delta": 123,
"evaluation_delay": 123,
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feature_names": ["<string>"],
"category": "<string>",
"baseline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_threshold_params": {
"warning_multiplier": 123,
"critical_multiplier": 123
},
"warning_threshold": 123,
"critical_threshold": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
metric_id: '<string>',
compare_bin_delta: 123,
evaluation_delay: 123,
segment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
feature_names: ['<string>'],
category: '<string>',
baseline_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
auto_threshold_params: {warning_multiplier: 123, critical_multiplier: 123},
warning_threshold: 123,
critical_threshold: 123
})
};

fetch('https://api.example.com/v3/alert-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "metric": {
      "id": "<string>",
      "display_name": "<string>"
    },
    "evaluation_delay": 123,
    "model": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "version": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "baseline": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "updated_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "is_fiddler_generated": true,
    "feature_names": [
      "<string>"
    ],
    "compare_bin_delta": 123,
    "category": "<string>",
    "auto_threshold_params": {
      "warning_multiplier": 123,
      "critical_multiplier": 123
    },
    "warning_threshold": 123,
    "critical_threshold": 123,
    "enable_notification": true,
    "segment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "definition": "<string>"
    }
  }
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required

Unique identifier of the model.

name
string
required

Name of the Alert Rule.

metric_id
string
required

The unique identifier of the metric for which we want to create an Alert Rule.

priority
enum<string>
required
Available options:
HIGH,
MEDIUM,
LOW
bin_size
enum<string>
required

The Supported bin sizes for the Alert Rules.

Available options:
Hour,
Day,
Week,
Month
compare_to
enum<string>
required

This API provides two alert evaluation methods, absolute comparisons determine if the current metric value breaches a predefined threshold, while relative comparisons analyze changes in metric by referencing a chosen time period.

Available options:
raw_value,
time_period
condition
enum<string>
required

The comparison condition while evaluating the Alert Rule.

Available options:
lesser,
greater
threshold_type
enum<string>
required

The type of threshold algorithm used to evaluate alerts.

Available options:
manual,
standard_deviation_auto_threshold
compare_bin_delta
integer

This field specifies the lookback period for relative comparisons, expressed as a multiple of the chosen time bin size. It determines the historical data timeframe used to evaluate changes in the metric value.

evaluation_delay
integer

It indroduces the delay in the evaluation of Alert Rule. It is in multiple of hours, and max could be one year.

segment_id
string<uuid>

Unique identifier of the segment.

feature_names
string[]

List of feature names for which we want to create an Alert Rule.

category
string

Setting Frequency Alerts on categorical columns requires specifying a category. For example, if the column represents geographical locations such as France, Germany, and India, you would pass 'France' as the category and 'geography' as the feature name to set a frequency alert.

baseline_id
string<uuid>

It should only be specified for the drift Alert Rules. Is is unique identifier of the baseline selected for drift calculations.

auto_threshold_params
object | null

Auto threshold parameters for the Alert Rule. These parameters are used to tweak the calculations of the thresholds.

warning_threshold
number<double>

Threshold value for triggering a warning alert.

critical_threshold
number<double>

Threshold value for triggering a critical alert.

Response

successful completion

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object